package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 学习状态(0.未学习,1.已学习)枚举类
*
* @author zxfei
*/
public enum StudyStatusEnum {
    未学习(0, "未学习"),
    已学习(1, "已学习");
    private Integer value;
    private String desc;

    StudyStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StudyStatusEnum getByValue(Integer value) {
        for (StudyStatusEnum studyStatusEnum : StudyStatusEnum.values()) {
            if (studyStatusEnum.getValue() == value) {
                return studyStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StudyStatusEnum item : StudyStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}